Bug 69095 - RFE: Please include the anjuta programming ide
RFE: Please include the anjuta programming ide
Product: Red Hat Linux Beta
Classification: Retired
Component: distribution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature, Triaged
: 77665 80910 129559 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-07-17 15:43 EDT by Bernd Bartmann
Modified: 2014-03-16 22:29 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-22 15:56:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2002-07-17 15:43:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
Please include the anjuta programming ide:

BTW: What component should I select when I file an RFE for a new package in

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. http://anjuta.sourceforge.net

Additional info:
Comment 1 Havoc Pennington 2002-07-21 19:29:18 EDT
I think the right component is "distribution", but I'm not totally sure.

Is Anjuta really in usable state yet? Are you using it to write code on a daily
Comment 2 Bernd Bartmann 2002-07-22 11:26:30 EDT
It's stable enough for me. The developers plan to release version 1.0 soon. I'm
running anjuta-0.1.9 under Red Hat 7.3. I got an rpm from freshrpms.net as I've
heard that there is a problem with Red Hat 7.3's gettext package when trying to
compile anjuta. Reading the anjuta mailing list indicates that the CVS version
is even much more advanced and bug free. Hope to see version 1.0 real soon.
Comment 3 Havoc Pennington 2002-07-22 11:44:17 EDT
I'm sort of inclined to wait for 1.0, it's basically too late for the next Red
Hat release anyhow.
Comment 4 Havoc Pennington 2002-12-19 18:30:45 EST
I would have liked to include it, but I believe it's too late for this release.
Comment 5 Bill Nottingham 2003-01-02 01:21:41 EST
*** Bug 77665 has been marked as a duplicate of this bug. ***
Comment 6 Bill Nottingham 2003-01-02 01:21:48 EST
*** Bug 80910 has been marked as a duplicate of this bug. ***
Comment 7 Marco Baldi 2003-01-03 14:12:28 EST
anjuta team has released versione 1.0.1 !
Comment 8 Michel Saunders 2003-01-04 13:30:50 EST
Please consider adding also devhelp, which is used by Anjuta IDE for Help 
system (http://devhelp.codefactory.se)
PS don't forget all the devhelp books! :-)
Comment 9 Marco Baldi 2003-03-28 13:02:41 EST
anjuta 1.0.2 released...
Comment 10 Michael Lee Yohe 2003-04-03 14:13:59 EST
I have been using Anjuta since it hit 1.0 (and have been doing incremental
updates via CVS).  It is an extremely well-built IDE that integrates well
(better so than KDevelop) with the development utilities that are available with
every Red Hat distribution.

I also nominate this package as it is a very good one!
Comment 11 Havoc Pennington 2003-04-03 14:25:41 EST
It'd be nice to see the anjuta 1 vs. anjuta 2 issue sorted out
Comment 12 Bernd Bartmann 2003-07-30 04:13:33 EDT
Again I vote to include Anjuta. 
Comment 13 Michael Lee Yohe 2003-07-30 12:06:29 EDT
Havoc, Anjuta's at 1.1.97 now.  I have been using it for a couple weeks now, and
have thoroughly enjoyed the improvements in functionality not to mention the
fact that is migrated to Gnome 2.  The source RPM package they provide works
well with Red Hat Linux 9 (compiles without a problem).  Anjuta 1.9.7 requires
libraries already present in Rawhide.

It's quite near the 1.2.0 release, but stable enough now to be useful for the
masses.  With its active development staff, Anjuta is sure to continue to
improve, be enhanced, without the expense of a huge bloated, slow application.
Comment 14 Havoc Pennington 2003-07-30 14:43:32 EDT
If 1.1.97 is stable enough, they should really release 1.2...
1.1.97 says to me that the upstream developers consider it not ready to ship.

Anjuta seems like a good package for an external developer to own, 
getting it into Fedora would be a nice start toward including it.
Comment 15 Bernd Bartmann 2003-07-30 14:58:06 EDT
It is already in Fedora:
Comment 16 Havoc Pennington 2003-07-30 14:59:52 EDT
Cool. So the blocking issue is just us doing a scalable infrastructure for 
including external packages, which should evolve over the next months.
Comment 17 Bill Nottingham 2004-08-10 12:33:17 EDT
*** Bug 129559 has been marked as a duplicate of this bug. ***
Comment 18 Bill Nottingham 2005-02-22 15:56:35 EST
Closing as wontfix, Extras is the proper place.

Note You need to log in before you can comment on or make changes to this bug.